#pragma once
#include "deltatypes.h"
/*
 *  Simion32 says:
 *    This is the header definition for your custom object engine.
 */
class CustomObject
{
	public:
		static void SetupRoutine(DGEID your_object_type_id);
		static void CleanupRoutine();
		void Create();
		void CopyFrom(CustomObject& other);
		void Delete();
		void Proc();
		void Resp();
		void Rend();
		void Draw(FLO delta);
		void CollidesWith(OBJID other_object, POS coll_x, POS coll_y, NUM boxid, NUM flags);
		void ProcInEditor();
		void DrawInEditor(FLO delta);
		void RendInEditor();
		
		static const char* OBJ_NAME;
        static const char* OBJ_LUCID;
        static DGEID OBJ_DGEID;
        
	protected:
		// Add any variables you want your object to use right here.
		NUM example_variable;
};



